--- linux-2.6.9.orig/drivers/scsi/st.c	2005-10-13 17:35:35.000000000 +0200
+++ linux-2.6.9/drivers/scsi/st.c	2005-10-13 19:28:46.397384745 +0200
@@ -274,6 +274,23 @@
 		return 0;
 	}
 
+	/* Symbios SCSI driver returns an error when an odd number of data
+	 * bytes is transferred.  Author claims it is a feature of a
+	 * passthru driver.  We currently ignore this "error" situation.
+	 * Originally by Fabien Collin, 2001. */
+	if (result == 0x27070000) {
+		DEB(
+			if (debugging) {
+				printk(
+					ST_DEB_MSG
+					"st%d: Ignoring error %x from LSI driver\n",
+					dev, result
+				);
+			}
+		) /* end DEB */
+		return 0;
+	}
+
 	if ((driver_byte(result) & DRIVER_MASK) == DRIVER_SENSE)
 		scode = sense[2] & 0x0f;
 	else {
